### Method

# Gck Object set_template_async

#### Declaration [src]

    void
    gck_object_set_template_async (
      GckObject* self,
      gulong attr_type,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Set an attribute template on the object. The attr_type must be for an attribute which contains a template.

If the `attrs` `GckAttributes` is floating, it is consumed.

This call will return immediately and complete asynchronously.

#### Parameters

`attr_type` | `gulong`
| The attribute template type.
`attrs` | `GckAttributes`
| The attribute template.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.